## clatd 2.0.0

=== Makefile ===
DESTDIR=
PREFIX=/usr
SYSCONFDIR=/etc

APT_GET:=$(shell which apt-get)
DNF_OR_YUM:=$(shell which dnf || which yum)
SYSTEMCTL:=$(shell which systemctl)
TAYGA:=$(shell which tayga)

install:
	# Install the main script
	install -m0755 clatd $(DESTDIR)$(PREFIX)/sbin/clatd
	# Install manual page if pod2man is installed
	pod2man --name clatd --center "clatd - a CLAT implementation for Linux" --section 8 README.pod $(DESTDIR)$(PREFIX)/share/man/man8/clatd.8 && gzip -f9 $(DESTDIR)$(PREFIX)/share/man/man8/clatd.8 || echo "pod2man is required to generate manual page"
	# Install systemd service file if applicable for this system
	if test -x "$(SYSTEMCTL)" && test -d "$(DESTDIR)$(SYSCONFDIR)/systemd/system"; then install -m0644 scripts/clatd.systemd $(DESTDIR)$(SYSCONFDIR)/systemd/system/clatd.service && $(SYSTEMCTL) daemon-reload; fi
	if test -e "$(DESTDIR)$(SYSCONFDIR)/systemd/system/clatd.service" && test ! -e "$(DESTDIR)$(SYSCONFDIR)/systemd/system/multi-user.target.wants/clatd.service"; then $(SYSTEMCTL) enable clatd.service; fi
	# Install NetworkManager dispatcher script if applicable
	if test -d $(DESTDIR)$(SYSCONFDIR)/NetworkManager/dispatcher.d; then install -m0755 scripts/clatd.networkmanager $(DESTDIR)$(SYSCONFDIR)/NetworkManager/dispatcher.d/50-clatd; fi

installdeps:
	# .deb/apt-get based distros
	if test -x "$(APT_GET)"; then $(APT_GET) -y install perl-base perl-modules libnet-ip-perl libnet-dns-perl iproute2 nftables tayga; fi
	# .rpm/DNF/YUM-based distros
	if test -x "$(DNF_OR_YUM)"; then $(DNF_OR_YUM) -y install perl perl-IPC-Cmd perl-Net-IP perl-Net-DNS perl-File-Temp iproute nftables; fi
	# If necessary, try to install the TAYGA .rpm using dnf/yum. It is unfortunately not available in all .rpm based distros (in particular CentOS/RHEL).
	if test -x "$(DNF_OR_YUM)" && test ! -x "$(TAYGA)"; then $(DNF_OR_YUM) -y install tayga || echo "ERROR: Failed to install TAYGA using dnf/yum, the package is probably not included in your distro. Try enabling the EPEL repo <URL: https://fedoraproject.org/wiki/EPEL> and try again, or install TAYGA <URL: http://www.litech.org/tayga> directly from source."; exit 1; fi

=== debian/changelog ===
clatd (2.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Feb 2025 19:56:25 -0500

clatd (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1098505)

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 21 Feb 2025 16:13:54 +0100

=== debian/control ===
Source: clatd
Section: net
Priority: optional
Maintainer: Daniel Gröber <dxld@darkboxed.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/toreanderson/clatd
Vcs-Git: https://salsa.debian.org/debian/clatd.git
Vcs-Browser: https://salsa.debian.org/debian/clatd

Package: clatd
Architecture: all
Depends:
 ${perl:Depends},
 ${misc:Depends},
 tayga,
Description: CLAT and SIIT-DC ER with many XLAT engines
 The clatd script makes it easy to set up packet translation between IPv6
 and IPv4 networks.
 .
 Supported deployment models include:
 .
   - IPv6-only/IPv6-mostly LANs (RFCs pending),
   - ISPs using 464XLAT (RFC 6877) and
   - Data centers using SIIT-DC (RFC 7755).
 .
 An RFC for the LAN deployment is currently in the works, see "6mops" IETF
 draft.
 .
 When used on a LAN it is currently advisable to run clatd (or another CLAT
 implementation) on all end-user computers. While the DNS64 (RFC 6147)
 mechanism can help to make this less necessary and instead rely on the
 network-wide NAT64 (RFC 6146) translation service this is considered at
 best a transitory hack. Even if DNS64 is technically acceptable it is
 challanging because some applications may use "address literals" directly
 instead of relying on DNS to resolve names to addressess.

=== debian/watch ===
version=4
https://github.com/toreanderson/clatd/tags .*/v?(\d.*).tar.gz

## clatd 2.1.0

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,11 @@
 SYSTEMCTL:=$(shell which systemctl)
 TAYGA:=$(shell which tayga)
 
+all:
+
 install:
 	# Install the main script
-	install -m0755 clatd $(DESTDIR)$(PREFIX)/sbin/clatd
+	install -D -m0755 clatd $(DESTDIR)$(PREFIX)/sbin/clatd
 	# Install manual page if pod2man is installed
 	pod2man --name clatd --center "clatd - a CLAT implementation for Linux" --section 8 README.pod $(DESTDIR)$(PREFIX)/share/man/man8/clatd.8 && gzip -f9 $(DESTDIR)$(PREFIX)/share/man/man8/clatd.8 || echo "pod2man is required to generate manual page"
 	# Install systemd service file if applicable for this system
@@ -20,8 +22,8 @@
 
 installdeps:
 	# .deb/apt-get based distros
-	if test -x "$(APT_GET)"; then $(APT_GET) -y install perl-base perl-modules libnet-ip-perl libnet-dns-perl iproute2 nftables tayga; fi
+	if test -x "$(APT_GET)"; then $(APT_GET) -y install perl-base perl-modules libnet-ip-perl libnet-dns-perl libjson-perl iproute2 nftables tayga; fi
 	# .rpm/DNF/YUM-based distros
-	if test -x "$(DNF_OR_YUM)"; then $(DNF_OR_YUM) -y install perl perl-IPC-Cmd perl-Net-IP perl-Net-DNS perl-File-Temp iproute nftables; fi
+	if test -x "$(DNF_OR_YUM)"; then $(DNF_OR_YUM) -y install perl perl-IPC-Cmd perl-Net-IP perl-Net-DNS perl-File-Temp perl-JSON iproute nftables; fi
 	# If necessary, try to install the TAYGA .rpm using dnf/yum. It is unfortunately not available in all .rpm based distros (in particular CentOS/RHEL).
 	if test -x "$(DNF_OR_YUM)" && test ! -x "$(TAYGA)"; then $(DNF_OR_YUM) -y install tayga || echo "ERROR: Failed to install TAYGA using dnf/yum, the package is probably not included in your distro. Try enabling the EPEL repo <URL: https://fedoraproject.org/wiki/EPEL> and try again, or install TAYGA <URL: http://www.litech.org/tayga> directly from source."; exit 1; fi

=== debian/changelog ===
clatd (2.1.0-3) unstable; urgency=medium

  * Move NetworkManager dispatcher script to /usr/lib (Closes: #1110678)
  * Fix systemd units not getting installed (Closes: #1101004)
  * Add patch "Allow reading multiple config files"
  * Add patch "Read global and interface specific config file"
  * Install example clatd.conf conffile
  * Use tayga-core to prevent unneeded NAT64 service running
  * Add ifupdown integration using `464xlat clatd` stanza
  * Enable installing clatd@ in Makefile patch
  * Add patch "Use IPv4 dummy address as default for tayga-v4-addr"

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 17 Nov 2025 14:34:56 +0100

clatd (2.1.0-2) unstable; urgency=medium

  * No change Soure-only upload for testing migration

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 16 Apr 2025 19:56:40 +0200

clatd (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Add missing perl dependencies (Closes: #1100863)

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 25 Mar 2025 17:58:09 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,10 @@
 Depends:
  ${perl:Depends},
  ${misc:Depends},
- tayga,
-Description: CLAT and SIIT-DC ER with many XLAT engines
+ tayga-core | tayga,
+ libnet-ip-perl,
+ libnet-dns-perl,
+Description: 464XLAT (CLAT) and SIIT-DC (ER) network architecture support
  The clatd script makes it easy to set up packet translation between IPv6
  and IPv4 networks.
  .

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
%:
	dh $@ --buildsystem=makefile
